Improve eventlogging SearchFunnel on iOS app
Open, NormalPublic

Description

As we are going to add a search tab in T185927, we want to make some changes to eventlogging SearchFunnel on iOS app to figure out the usage of it. Specifically, we'd like to:

  • Rename the schema to MobileWikiAppiOSSearch. After discussing with @mpopov, we agree that it would be less confusing and easier to maintain when iOS and Android using different schemas.
  • Add a source field to identify the source from which the search interface was invoked: the top of feed, the search tab, or from the article view
  • Add a langswitch action when users tap on a different language on the search interface
  • Add a position field to log the position of the search result that was clicked, from the list that was presented to the user
  • Add is_anon, primary_language, session_id fields to standardize it with other iOS eventlogging schemas
  • Rename other fields from camelCase to snake_case because our database are case insensitive
  • We'd like to send an results action not only when new search results are retrieved by API, but also when cached results are shown. In v6.0.0, we don't cache results of last search any more.

Schema: https://meta.wikimedia.org/wiki/Schema:MobileWikiAppiOSSearch
Revision number: 18132115

We'd also like to add a search_tab field to MobileWikiAppiOSUserHistory to log whether the app opens to the new search tab.

This task depends on T185927. If there is any design change in T185927, the spec may need to be changed accordingly.

chelsyx created this task.May 30 2018, 2:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 2:51 AM
chelsyx updated the task description. (Show Details)Jun 16 2018, 1:48 AM
chelsyx added a subscriber: mpopov.
JMinor triaged this task as Normal priority.Jun 18 2018, 6:52 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor lowered the priority of this task from Normal to Low.Jun 25 2018, 6:58 PM
JMinor raised the priority of this task from Low to Normal.Jun 26 2018, 11:00 PM
Vvjjkkii renamed this task from Improve eventlogging SearchFunnel on iOS app to m0baaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from m0baaaaaaa to Improve eventlogging SearchFunnel on iOS app.
CommunityTechBot added a subscriber: Aklapper.
chelsyx updated the task description. (Show Details)Jul 31 2018, 4:41 AM

@NHarateh_WMF, are there test steps for this one?

JoeWalsh reassigned this task from NHarateh_WMF to chelsyx.
JoeWalsh added a subscriber: NHarateh_WMF.

Hi @NHarateh_WMF , I tested in xcode but didn't see any search event posted in the console (I saw other events posted), can you check? Thanks!

@chelsyx It should work when T205551 is fixed and merged

JMinor closed this task as Resolved.Tue, Nov 6, 11:01 PM
chelsyx reopened this task as Open.Wed, Nov 7, 12:14 AM

We still need to add a source field to identify the source from which the search interface was invoked: the top of feed, the search tab, or from the article view, as stated in this task description. @NHarateh_WMF can you take a look at it? Thanks!